--- title: "Get paylink by paylink Id" slug: "get-paylink-by-paylink-id" updated: 2026-02-02T14:51:20Z published: 2026-02-02T14:51:20Z canonical: "api-docs.blinkpayment.co.uk/get-paylink-by-paylink-id" --- > ## Documentation Index > Fetch the complete documentation index at: https://api-docs.blinkpayment.co.uk/llms.txt > Use this file to discover all available pages before exploring further. # Get paylink by paylink Id Get/api/paylink/v1/paylinks/{paylink_id} This endpoint gets details of a specific paylink using id. **Parameters** `paylink_id` (integer, required): id of the paylink. **Response Body** - `id` (integer): The unique identifier of the paylink. - `amount` (number): The amount associated with the paylink. - `description` (string): The description or details of the paylink. - `status`(string): The status of the paylink, such as "unpaid", "paid", etc. - `expiry_date` (string): The expiry date of the paylink. - `created_at` (string): The date and time when the paylink was created. - `updated_at` (string): The date and time when the paylink was last updated. - `merchant_data` (json): Additional custom data related to the merchant or customer. SecurityHTTPType bearer Header parametersAuthorizationstringExampleBearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJtZXJjaGFudF9pZCI6NDM5OCwic2VjcmV0X2tleSI6IjYzMTBlNDhiZGQwZTQzODE0NTlhNjJiNDZkMmM0ZmQ2ZThhYjY1YTJhNGQ1MjA1YzZjM2RkZWJmYmJhZWJiZjgiLCJleHAiOjE3MjA3MDcyNjZ9.91qa4veQ9xGVM-Jc_3_i_vaykEdYarRwUzb-37aLD0c Path parameterspaylink_idstringRequired Responses200 Successful response